import { EventEmitter } from '@angular/core';
import { DialogService } from 'ng-devui';
import { CanvasInfo } from '../model/attributeInfo';
import { ShowBoxInfo } from '../model/boxInfo';
import { CommonService } from '../service/common.service';
import * as i0 from "@angular/core";
export declare class FormBuilderComponent {
    private dialogService;
    private commonService;
    constructor(dialogService: DialogService, commonService: CommonService);
    canvasInfo: CanvasInfo;
    originalLayout: string;
    sendBuilderString: EventEmitter<string>;
    get inputLayout(): ShowBoxInfo[];
    openPreview(): void;
    sendBuilderEvent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormBuilderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormBuilderComponent, "form-builder", never, { "originalLayout": "originalLayout"; }, { "sendBuilderString": "sendBuilderString"; }, never, never>;
}
